<?php
require 'vendor/autoload.php';
require __DIR__ . '/config/config.php';

use Jumbojett\OpenIDConnectClient;

session_start();

// keycloak configuration
$oidc = new OpenIDConnectClient($CONFIG['oidc']['url'],
                                $CONFIG['oidc']['clientid'],
                                $CONFIG['oidc']['secret']);
$oidc->setRedirectURL($CONFIG['baseurl'] . 'callback.php');

// get token
$oidc->authenticate();

// store user data in session
$_SESSION['id_token']  = $oidc->getIdToken();
foreach ($CONFIG['oidc']['mappings'] as $key => $value) {
    $_SESSION[$key] = $oidc->requestUserInfo($value);
}

if (! $_SESSION['doe'] ) {
    $_SESSION['doe'] = $CONFIG['default_doe'];
}

// redirect to home
header('Location: card.php');
?>
